
From: Anton Blanchard <anton@samba.org>

Fix one compile warning and one build warning on iseries.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/mm/init.c     |    2 ++
 25-akpm/include/asm-ppc64/page.h |    6 +++---
 2 files changed, 5 insertions(+), 3 deletions(-)

diff -puN arch/ppc64/mm/init.c~ppc64-iseries-build-fixes arch/ppc64/mm/init.c
--- 25/arch/ppc64/mm/init.c~ppc64-iseries-build-fixes	Tue Sep 14 15:45:22 2004
+++ 25-akpm/arch/ppc64/mm/init.c	Tue Sep 14 15:45:22 2004
@@ -534,7 +534,9 @@ arch_initcall(mmu_context_init);
  */
 void __init mm_init_ppc64(void)
 {
+#ifndef CONFIG_PPC_ISERIES
 	unsigned long i;
+#endif
 
 	ppc64_boot_msg(0x100, "MM Init");
 
diff -puN include/asm-ppc64/page.h~ppc64-iseries-build-fixes include/asm-ppc64/page.h
--- 25/include/asm-ppc64/page.h~ppc64-iseries-build-fixes	Tue Sep 14 15:45:22 2004
+++ 25-akpm/include/asm-ppc64/page.h	Tue Sep 14 15:45:22 2004
@@ -201,9 +201,9 @@ extern int page_is_ram(unsigned long pfn
 /*             to change!                               */
 #define PAGE_OFFSET     ASM_CONST(0xC000000000000000)
 #define KERNELBASE      PAGE_OFFSET
-#define VMALLOCBASE     0xD000000000000000UL
-#define IOREGIONBASE    0xE000000000000000UL
-#define EEHREGIONBASE   0xA000000000000000UL
+#define VMALLOCBASE     ASM_CONST(0xD000000000000000)
+#define IOREGIONBASE    ASM_CONST(0xE000000000000000)
+#define EEHREGIONBASE   ASM_CONST(0xA000000000000000)
 
 #define IO_REGION_ID       (IOREGIONBASE>>REGION_SHIFT)
 #define EEH_REGION_ID      (EEHREGIONBASE>>REGION_SHIFT)
_
